summaryrefslogtreecommitdiff
path: root/functions/wrapper.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2008-02-21 20:03:57 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:36:05 +0100
commit09f88a6e3837f71343dacb1bf7c6411183cca2cf (patch)
tree93f74f348b4bb727f53393a42177a86a965d5d54 /functions/wrapper.sh
parent1ffce292fb24b3e77605a76e2388172927bebae7 (diff)
downloadlive-build-09f88a6e3837f71343dacb1bf7c6411183cca2cf.zip
live-build-09f88a6e3837f71343dacb1bf7c6411183cca2cf.tar.gz
Adding apt/aptitude options.
By using APT_OPTIONS and APTITUDE_OPTIONS in config/common, one can manipulate the default options wich is made to each and every apt and aptitude call.
Diffstat (limited to 'functions/wrapper.sh')
-rwxr-xr-xfunctions/wrapper.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/functions/wrapper.sh b/functions/wrapper.sh
new file mode 100755
index 0000000..90144e7
--- /dev/null
+++ b/functions/wrapper.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# wrapper.sh - external command wrappers
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+Apt ()
+{
+ case "${LH_APT}" in
+ apt|apt-get)
+ Chroot "apt-get ${APT_OPTIONS} ${@}"
+ ;;
+
+ aptitude)
+ Chroot "aptittude ${APTITUDE_OPTIONS} ${@}"
+ ;;
+ esac
+}